Skip to main content
GET
/
v1
/
governance
/
vote-requests
/
{id}
/
details
Get vote request details
curl --request GET \
  --url https://api.modo.link/canton-mainnet/v1/governance/vote-requests/{id}/details \
  --header 'x-api-key: <api-key>'
{
  "contractId": "<string>",
  "templateId": "<string>",
  "createdEventBlob": "<string>",
  "createdAt": 123,
  "dso": "<string>",
  "voteBefore": 123,
  "targetEffectiveAt": 123,
  "requester": "<string>",
  "trackingCid": "<string>",
  "reasonUrl": "<string>",
  "reasonBody": "<string>",
  "actionConfig": {},
  "actionProvider": "<string>",
  "status": "<string>",
  "yesCount": 123,
  "noCount": 123,
  "abstainCount": 123,
  "totalWeightYes": 123,
  "totalWeightNo": 123,
  "totalWeightAbstain": 123,
  "rawPayload": {},
  "requesterName": "<string>",
  "requesterImg": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Vote Request ID

Response

200 - */*

OK

contractId
string
templateId
string
createdEventBlob
string
createdAt
integer<int64>
dso
string
voteBefore
integer<int64>
targetEffectiveAt
integer<int64>
requester
string
trackingCid
string
reasonUrl
string
reasonBody
string
actionConfig
object
actionProvider
string
status
string
yesCount
integer<int32>
noCount
integer<int32>
abstainCount
integer<int32>
totalWeightYes
number<double>
totalWeightNo
number<double>
totalWeightAbstain
number<double>
rawPayload
object
requesterName
string
requesterImg
string